<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Lucky Dice Casino v1.0</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
   

    <style>
        
        .pointer {cursor: pointer;}

        .picture-cover {
            background-image: url("./LuckyDiceImages/cover.jpg");
            min-height: 100px;
            margin: 5px;
        }
        
        * {
            background-color: rgb(228, 208, 182);
        }
        

    </style>
</head>

<body>
    <div class="container-fluid picture-cover"> </div>
    <div class="container-fluid">
        <div class="row mx-2">
            <div class="col-5 text-center">
                <div class="row">
                   <div class="col-12 text-center">
                       <h2> Nhập thông tin của bạn</h2>
                   </div>
                </div>
                <hr>
                <div class="row mt-3">
                    <div class="col-4">
                        <label>Username</label>
                    </div>
                    <div class="col-8">
                        <input id="inp-username" class="form-control">
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-4">
                        <label>First name</label>
                    </div>
                    <div class="col-8">
                        <input id="inp-firstname" class="form-control">
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-4">
                        <label>Last name</label>
                    </div>
                    <div class="col-8">
                        <input id="inp-lastname" class="form-control">
                    </div>
                </div>
                <div class="mt-5">
                    <button id="btn-dice-history" class="btn btn-primary w-25">Dice History</button>
                    <button id="btn-voucher-history" class="btn btn-primary w-25">Voucher History</button>
                    <button id="btn-present-history" class="btn btn-primary w-25">Present History</button>
                </div>
               
            </div>
           <div class="col-3 text-center">
               <div class="row">
                   <div class="col-12">
                    <button id="btn-dice" class="btn btn-primary w-100">
                        Throw Dice!!!</button>
                   </div>
               </div>
               <br>
               <div class="row">
                    <div class="col-12">
                        <img id="img-dice" src="./LuckyDiceImages/dice.png" class="img-thumbnail" style="width: 70%;">
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-12 ">
                        <p id="p-notification-dice" 
                        style="color: rgb(171, 41, 41); 
                        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;">
                        Hãy tung xúc xắc để nhận thưởng!!!</p>
                    </div>
                </div>
           </div>
           <div class="col-4 text-center">
                <div class="row form-group mt-2">
                    <div class="col-6">
                        <strong>Thông tin Voucher</strong>
                        <p class="mt-3" id="p-voucher-id"></p>
                        <p class="mt-3" id="p-voucher-percent"></p>
                    </div>
                    <div class="col-6">
                        <strong>Phần Thưởng</strong>
                        <img id="img-present" class="img-thumbnail mt-3" src="./LuckyDiceImages/no-present.jpg" style="width: 88%;">
                    </div>
                </div>
            </div>
        </div>
    
        <div class="d-flex justify-content-center">
           <div class="col-9" id="div-table">
               <table id="dice-history-table" class="table table-striped table-hover table-bordered text-center" style="display: none;">
                   <thead class="thead-light">
                    <tr class="text-center">
                        <th>Game</th>
                        <th>Dice</th>
                    </tr>
                   </thead>
               </table>
               <table id="voucher-history-table" class="table table-striped table-hover table-bordered text-center" style="display: none;">
                    <thead class="thead-light">
                    <tr class="text-center">
                        <th>Voucher Code</th>
                        <th>Discount %</th>
                    </tr>
                    </thead>
                </table>
                <table id="prize-history-table" class="table table-striped table-hover table-bordered text-center" style="display: none;">
                    <thead class="thead-light">
                    <tr class="text-center">
                        <th>Game</th>
                        <th>Presents</th>
                    </tr>
                    </thead>
                </table>
           </div>
        </div>
    </div>

    
</body>
<script src="./LuckyDice.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
</html>